BasicBorders.FieldBorder (Java SE 12 & JDK 12 )
Keywords: javax.swing.plaf.basic.BasicBorders.FieldBorder class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicBorders.FieldBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.FieldBorder

- All Implemented Interfaces:
    `Serializable`, `Border`, `UIResource`
  Enclosing class:
    BasicBorders

      public static class BasicBorders.FieldBorder
      extends AbstractBorder
      implements UIResource

  Draws the border around a field.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Color` | `darkShadow` | The color of dark shadow.
    `protected Color` | `highlight` | The color of highlight.
    `protected Color` | `lightHighlight` | The color of light highlight.
    `protected Color` | `shadow` | The color of shadow.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldBorder​(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)` | Constructs a new instance of a `FieldBorder`.

  - ### Method Summary

    - ### Methods declared in class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### shadow

          protected Color shadow

      The color of shadow.

    - #### darkShadow

          protected Color darkShadow

      The color of dark shadow.

    - #### highlight

          protected Color highlight

      The color of highlight.

    - #### lightHighlight

          protected Color lightHighlight

      The color of light highlight.

  - ### Constructor Detail

    - #### FieldBorder

          public FieldBorder​(Color shadow,
                             Color darkShadow,
                             Color highlight,
                             Color lightHighlight)

      Constructs a new instance of a `FieldBorder`.
      Parameters:
        `shadow` - a color of shadow
        `darkShadow` - a color of dark shadow
        `highlight` - a color of highlight
        `lightHighlight` - a color of light highlight